unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, SkinData, DynamicSkinForm, ExtCtrls, Menus, SkinMenus, ImgList,
  SkinCtrls, Buttons, SkinHint, ActnList, ComCtrls, SkinTabs, SkinBoxCtrls,
  Grids, spTrayIcon, ChildUnit, spSkinShellCtrls;

type
  TForm1 = class(TForm)
    spSkinData1: TspSkinData;
    MainMenu1: TMainMenu;
    N12: TMenuItem;
    N22: TMenuItem;
    LoadSkinItem: TMenuItem;
    N23: TMenuItem;
    CloseItem: TMenuItem;
    HomeItem: TMenuItem;
    Windows1: TMenuItem;
    spSkinPopupMenu3: TspSkinPopupMenu;
    N4: TMenuItem;
    Loadskin1: TMenuItem;
    N5: TMenuItem;
    MenuBar: TspSkinMainMenuBar;
    DSF: TspDynamicSkinForm;
    spTrayIcon1: TspTrayIcon;
    NewItem: TMenuItem;
    TileItem: TMenuItem;
    CascadeItem: TMenuItem;
    N1: TMenuItem;
    CloseAll1: TMenuItem;
    ImageList1: TImageList;
    spCompressedStoredSkin1: TspCompressedStoredSkin;
    N2: TMenuItem;
    spSkinMDITabsBar1: TspSkinMDITabsBar;
    spSkinStatusBar1: TspSkinStatusBar;
    OD: TspOpenSkinDialog;
    spSkinHint1: TspSkinHint;
    spSkinStatusPanel1: TspSkinStatusPanel;
    ilevertical1: TMenuItem;
    N3: TMenuItem;
    Showclosebuttons1: TMenuItem;
    Tabsasbuttons1: TMenuItem;
    DblClickChildMove1: TMenuItem;
    Showchildicons1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure CloseItemClick(Sender: TObject);
    procedure LoadSkinItemClick(Sender: TObject);
    procedure HomeItemClick(Sender: TObject);
    procedure NewItemClick(Sender: TObject);
    procedure TileItemClick(Sender: TObject);
    procedure CascadeItemClick(Sender: TObject);
    procedure CloseAll1Click(Sender: TObject);
    procedure Loadskin1Click(Sender: TObject);
    procedure Noskin1Click(Sender: TObject);
    procedure spSkinMDITabsBar1TabMouseEnter(MDITab: TspMDITab);
    procedure spSkinMDITabsBar1TabMouseLeave(MDITab: TspMDITab);
    procedure FormShow(Sender: TObject);
    procedure ilevertical1Click(Sender: TObject);
    procedure Showclosebuttons1Click(Sender: TObject);
    procedure DblClickChildMove1Click(Sender: TObject);
    procedure Tabsasbuttons1Click(Sender: TObject);
    procedure spSkinMDITabsBar1AddButtonClick(Sender: TObject);
    procedure Showchildicons1Click(Sender: TObject);
  private
    { Private declarations }
    Count: integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  FirstTime: Boolean;
  
implementation

uses ShellAPI;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  Path: String;
begin
  Path := ExtractFilePath(ParamStr(0));
  OD.InitialDir := Path;
  Count := 0;
  FirstTime := True;
end;

procedure TForm1.CloseItemClick(Sender: TObject);
begin
  Close;
end;                                         

procedure TForm1.LoadSkinItemClick(Sender: TObject);
var
  Ext: String;
begin
  if OD.Execute
  then
    begin
      Ext := ExtractFileExt(OD.FileName);
      Ext := LowerCase(Ext);
      if Ext = '.ini'
      then
        spSkinData1.LoadFromFile(OD.FileName)
      else
      if Ext = '.skn'
      then
        spSkinData1.LoadFromCompressedFile(OD.FileName);
     end;
end;


procedure TForm1.HomeItemClick(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://www.almdev.com', nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.NewItemClick(Sender: TObject);
var
  Child: TChildForm;
begin
  Inc(Count);
  Child := TChildForm.Create(Self);
  Child.Caption := Child.Caption + ' ' + IntToStr(Count);
end;

procedure TForm1.TileItemClick(Sender: TObject);
begin
  DSF.TileMode := tbHorizontal;
  DSF.Tile;
end;

procedure TForm1.CascadeItemClick(Sender: TObject);
begin
  DSF.Cascade;
end;

procedure TForm1.CloseAll1Click(Sender: TObject);
begin
  DSF.CloseAll;
end;

procedure TForm1.Loadskin1Click(Sender: TObject);
begin
  if OD.Execute then spSkinData1.LoadFromFile(OD.FileName);
end;

procedure TForm1.Noskin1Click(Sender: TObject);
begin
  spSkiNData1.ClearSkin;
end;

procedure TForm1.spSkinMDITabsBar1TabMouseEnter(MDITab: TspMDITab);
begin
  spSkinStatusPanel1.Caption := MDITab.Child.Caption;
end;

procedure TForm1.spSkinMDITabsBar1TabMouseLeave(MDITab: TspMDITab);
begin
  spSkinStatusPanel1.Caption := '';
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  if not FirstTime then Exit;
  NewItemClick(Self);
  NewItemClick(Self);
  NewItemClick(Self);
  FirstTime := False;
end;

procedure TForm1.ilevertical1Click(Sender: TObject);
begin
  DSF.TileMode := tbVertical;
  DSF.Tile;
end;

procedure TForm1.Showclosebuttons1Click(Sender: TObject);
begin
  Showclosebuttons1.Checked := not Showclosebuttons1.Checked;
  spSkinMDITabsBar1.ShowCloseButtons := Showclosebuttons1.Checked;
  spSkinMDITabsBar1.Repaint;
end;

procedure TForm1.DblClickChildMove1Click(Sender: TObject);
begin
  DblClickChildMove1.Checked := not DblClickChildMove1.Checked;
  spSkinMDITabsBar1.DblClickChildMove := DblClickChildMove1.Checked;
end;

procedure TForm1.Tabsasbuttons1Click(Sender: TObject);
begin
  Tabsasbuttons1.Checked := not Tabsasbuttons1.Checked;
  if Tabsasbuttons1.Checked
  then
    spSkinMDITabsBar1.TabKind := sptkButton
  else
    spSkinMDITabsBar1.TabKind := sptkTab;
  spSkinMDITabsBar1.Repaint;
end;

procedure TForm1.spSkinMDITabsBar1AddButtonClick(Sender: TObject);
begin
  NewItemClick(Self);
end;

procedure TForm1.Showchildicons1Click(Sender: TObject);
begin
  ShowChildIcons1.Checked := not ShowChildIcons1.Checked;
  spSkinMDITabsBar1.ShowChildIcon := ShowChildIcons1.Checked;
  spSkinMDITabsBar1.Repaint;
end;

end.
